<?php
/*
 *  Plugin Name:    Whatsapp chat support
 *  Plugin URI:     https://wpchatplugins.com/plugins/click-to-whatsapp/
 *  Description:    Can easily create Bubble & buttons for reciving whatsapp message from useres in any WordPress site. Gutenberg, Elementor and shortcodes supported. 
 *  Author:         20script
 *  Author URI:     http://www.20script.ir
 *  Requirements:   PHP 5.2.4 or above, WordPress 3.3 or above.
 *  Version:       1.2.1
 * Text Domain:  ta-ctw
 * Domain Path:  /languages
 */

// Block Direct access
if (!defined('ABSPATH')) {
	die('You should not access this file directly!.');
}

// Define Constants for direct access alert message.
if (!defined('CTW_ALERT_MSG'))
	define('CTW_ALERT_MSG', esc_html__('You should not access this file directly.!', 'ta-ctw'));

// Define constants for plugin directory path.
if (!defined('CTW_DIR_PATH'))
	define('CTW_DIR_PATH', plugin_dir_path(__FILE__));


// Define constants for view directory path.
if (!defined('CTW_VIEW_DIR_PATH'))
	define('CTW_VIEW_DIR_PATH', CTW_DIR_PATH . 'view/');

// Define constants for elementor widget directory path.
if (!defined('CTW_EW_DIR_PATH'))
	define('CTW_EW_DIR_PATH', CTW_VIEW_DIR_PATH . 'elementor-widgets/');


// Define constants for plugin directory path.
if (!defined('CTW_DIR_URL'))
	define('CTW_DIR_URL', plugin_dir_url(__FILE__));

// load text domain from plugin folder
function ctw_load_textdomain()
{
	load_plugin_textdomain('', false, dirname(__FILE__) . "/languages");
}
add_action("plugins_loaded", 'ctw_load_textdomain');

// Plugin settings in plugin list
add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'ctw_settings_link');
function ctw_settings_link(array $links)
{
	$url = get_admin_url() . "admin.php?page=ctw";
	$settings_link = '<a href="' . esc_url($url) . '">' . esc_html__('Settings', 'ta-ctw') . '</a>';
	$links[] = $settings_link;
	return $links;
}

// Script enqueue class include
require_once CTW_DIR_PATH . 'inc/class-enqueue.php';

// View Shortcodes
require_once CTW_DIR_PATH . '/view/elementor-widgets/elementor-widget.php';
require_once CTW_DIR_PATH . 'view/shortcodes/custom-shortcode.php';

// buttons functions
require_once CTW_DIR_PATH . 'inc/functions.php';
// Button template class
require_once CTW_DIR_PATH . 'inc/class-custom-buttons-templates.php';

// single chat bubble template
require_once CTW_DIR_PATH . '/view/chat-bubbles/chat-bubbles.php';

// include framework for admin panel
require_once CTW_DIR_PATH . 'admin/codestar-framework.php';
require_once CTW_DIR_PATH . 'inc/ctw-plugin-options.php';
